Subject: RE: IPR and Copyright Statements

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 15 Jun 2004 18:06:04 +0300

However, I am just now witnessing a discussion on the IPR list, which makes me believe that the IPR disclosure statement may not be 'stable'. Will a RFC3667 revision be available until July 1st?

Regards,

Dan

> -----Original Message-----
> From: Harald Tveit Alvestrand [mailto:[email-masked]]
> Sent: 15 June, 2004 5:52 PM
> To: Romascanu, Dan (Dan)
> Cc: Ops-Area (E-mail); [email-masked]
> Subject: Re: IPR and Copyright Statements
> 
> 
> Yes, you should conform to the RFC 3667 guidelines.
> 
> The only reason (excuse, really) not to do so is you're not 
> using xml2rfc, 
> and are only doing minor tweaks to an old document.
> 
> At the moment, D-Day will not be before July 1 - it took a 
> while to get our 
> guidance house in order.
> 
>                            Harald
> 
> --On 15. juni 2004 14:35 +0300 "Romascanu, Dan (Dan)" 
> <[email-masked]> 
> wrote:
> 
> >
> > Harald,
> >
> > What is the status of the application of RFC 3667? I am on 
> the verge of
> > submitting a few Internet-Drafts, and I am wondering whether:
> >
> > - I should include he IPR Disclosure Acknowledgement 
> described in Section
> > 5.1 of RFC 3667 (required in all Internet-Drafts)
> >
> > - The Copyright Notice described in Section 5.4 of RFC 3667 
> (for all IETF
> > Documents).
> >
> >  You have indicated in a previous message that June 15 would be the
> > D-Day, but you also said 'we're not firmly wedded to a date 
> until we have
> > all the guideline documents updated'. The ops-area page now 
> points to a
> > new version of the MIB guidelines document, which points to 
> RFC 3667.
> >
> > So, what is the guideline? What do I do if I need to submit 
> an I-D today?
> >
> > Thanks and Regards,
> >
> > Dan
> >
> >
> 
> 
> 
> 
>

---

From: [email-masked] (Scott Bradner)
Date: Tue, 15 Jun 2004 11:15:59 -0400 (EDT)

> However, I am just now witnessing a discussion on the IPR list, which
> makes me believe that the IPR disclosure statement may not be 'stable'.

if you have disclosed any IPR in the ID that you know about you can 
go ahead and use the 3667 IPR boilerplate - the only issue on that
boilerplate is that there is a race condition between submitting
an ID and an IPR disclosure referring to that ID

the issue was discussed in the IPR WG and it was decided to add the
"as soon as possible" language to cover the cases where IDs may
get reviewed in a company after they are published (which is the
case in some companies) - if that is not the case with your ID
then just use the 3667 text

Scott